import { jsxs, Fragment, jsx } from "react/jsx-runtime";
import { Head } from "@inertiajs/react";
import Layout from "./layout-4WzWTMAV.js";
import BecomeInstructor from "./become-instructor-Bg6huZ1-.js";
import MyCourses from "./my-courses-DDOuwlDK.js";
import MyExams from "./my-exams-B4OyBwwZ.js";
import MyProfile from "./my-profile-BkszsEVI.js";
import Settings from "./settings-DPdDQUAx.js";
import Wishlist from "./wishlist-2mm1MSmd.js";
import "./tabs-DgXFE6Gu.js";
import "./tabs-DmCK9qzK.js";
import "react";
import "@radix-ui/react-tabs";
import "./utils-DLCPGU0v.js";
import "clsx";
import "tailwind-merge";
import "./button-CdJZJLGw.js";
import "@radix-ui/react-slot";
import "class-variance-authority";
import "./card-B-gBwpxd.js";
import "./scroll-area-CDdrLubh.js";
import "@radix-ui/react-scroll-area";
import "./sheet-BOQ-e9_C.js";
import "@radix-ui/react-dialog";
import "lucide-react";
import "./use-screen-B7SDA5zE.js";
import "./landing-layout-Cned6N12.js";
import "./index-CzkkaexN.js";
import "./app-logo-DWyi5bLn.js";
import "lucide-react/dynamic";
import "./main-BKBelQb-.js";
import "next-themes";
import "sonner";
import "./dropdown-menu-msun3TP8.js";
import "@radix-ui/react-dropdown-menu";
import "./use-auth-8FvJer_G.js";
import "./appearance-BJIqrZL5.js";
import "./language-mewnB-2r.js";
import "./separator-CSqU-rrB.js";
import "@radix-ui/react-separator";
import "./notification-Bg6IzWOo.js";
import "./popover-Cv6Hz_y0.js";
import "@radix-ui/react-popover";
import "date-fns";
import "./profile-toggle-DX74bufz.js";
import "./avatar-C8iCpF5R.js";
import "@radix-ui/react-avatar";
import "nanoid";
import "./tab-lists-D4kQQDJd.js";
import "./input-error-D1JIzedA.js";
import "./loading-button-CCIxhJrY.js";
import "./tag-input-D5O17wz6.js";
import "@yaireo/tagify";
import "./input-BsvJqbcd.js";
import "./label-0rIIfpX0.js";
import "@radix-ui/react-label";
import "./textarea-Z0d4V-ti.js";
import "./inertia-BtwbgBI3.js";
import "./badge-J-zeQvMg.js";
import "./forget-password-Bjjk2z0I.js";
import "./course-card-1-DJ2E5bnr.js";
import "./tooltip-BYKuzaoQ.js";
import "@radix-ui/react-tooltip";
import "./exam-card-1-D4hKTctz.js";
const Index = (props) => {
  const { translate } = props;
  const { frontend } = translate;
  const renderContent = () => {
    switch (props.tab) {
      case "courses":
        return /* @__PURE__ */ jsx(MyCourses, {});
      case "exams":
        return /* @__PURE__ */ jsx(MyExams, {});
      case "wishlist":
        return /* @__PURE__ */ jsx(Wishlist, {});
      case "profile":
        return /* @__PURE__ */ jsx(MyProfile, {});
      case "settings":
        return /* @__PURE__ */ jsx(Settings, {});
      case "instructor":
        return /* @__PURE__ */ jsx(BecomeInstructor, {});
      default:
        return /* @__PURE__ */ jsx(Fragment, {});
    }
  };
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(Head, { title: frontend.student_dashboard }),
    renderContent()
  ] });
};
Index.layout = (page) => /* @__PURE__ */ jsx(Layout, { children: page, tab: page.tab });
export {
  Index as default
};
